﻿@model List<NewView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMNews.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMNews.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMNews.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMNews.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<h1 class="page-header">@News.NWS</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@News.NL</h3>
    </div>

    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>@News.Head</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (NewView item in Model)
                    {
                        <tr>
                            <td>
                                @item.Id
                            </td>
                            <td>@item.Head </td>

                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionNews", "News", new { @ActionNews = "Update", @IdNews = item.Id })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@News.Edit
                                    </a>
                                }
                                @if (_Delete)
                                {
                                    <a href='@Url.Action("ActionNews", "News", new { @ActionNews = "Delete", @IdNews = item.Id })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-trash"></span>&nbsp;@News.Delete
                                    </a>
                                }
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right but_blok_footer">
        <a href='@Url.Action("ActionNews", "News", new { @ActionNews = "Add", @IdNews = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@News.AN
        </a>
    </div>
}

